org.eclipse.wst.jsdt.debug.core.jsdi

## Interface Location

    public interface Location

Abstract representation of a given location in a `ScriptReference`.
A `Location` can be a line number and / or a function name.

Since:
  1.0
See Also:
  `ScriptReference`
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `functionName()` Returns the name of the function this location resides in, if any
`int` `lineNumber()` Returns the line number of this location within its underlying `ScriptReference`
`ScriptReference` `scriptReference()` Returns the underlying `ScriptReference` for this `Location` or `null` if there was an exception creating the location.

### Method Detail

#### scriptReference

    ScriptReference scriptReference()

Returns the underlying `ScriptReference` for this `Location` or `null` if there was an exception creating the location.

Returns:
  the underlying `ScriptReference` or `null`.

#### lineNumber

    int lineNumber()

Returns the line number of this location within its underlying `ScriptReference`

Returns:
  the line number in the `ScriptReference`

#### functionName

    java.lang.String functionName()

Returns the name of the function this location resides in, if any

Returns:
  the function name this location resides in or `null` if this location is not enclosed by a function